libglom-1.20 1.19.5

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# Glom::PrintLayout Class Reference

Inheritance diagram for Glom::PrintLayout:
[legend]
Collaboration diagram for Glom::PrintLayout:
[legend]

List of all members.

## Public Member Functions
| PrintLayout ()
| PrintLayout (const PrintLayout& src)
PrintLayout& | operator= (const PrintLayout& src)
bool | get_show_table_title () const
void | set_show_table_title (bool show_table_title=true)
void | set_page_setup (const std::string& page_setup)
| Sets the Page Setup as it would be created by a Gtk::PageSetup.
std::string | get_page_setup () const
| Returns the Page Setup as it would be created by a Gtk::PageSetup.
## Public Attributes
sharedptr< LayoutGroup > | m_layout_group

## Constructor & Destructor Documentation

Glom::PrintLayout::PrintLayout | ( |  | ) |

Glom::PrintLayout::PrintLayout | ( | const PrintLayout& | src | ) |

## Member Function Documentation

std::string Glom::PrintLayout::get_page_setup | ( |  | ) | const

Returns the Page Setup as it would be created by a Gtk::PageSetup.

bool Glom::PrintLayout::get_show_table_title | ( |  | ) | const

PrintLayout& Glom::PrintLayout::operator= | ( | const PrintLayout& | src | ) |

void Glom::PrintLayout::set_page_setup | ( | const std::string & | page_setup | ) |

Sets the Page Setup as it would be created by a Gtk::PageSetup.

void Glom::PrintLayout::set_show_table_title | ( | bool | show_table_title = `true` | ) |

## Member Data Documentation

sharedptr<LayoutGroup> Glom::PrintLayout::m_layout_group

The documentation for this class was generated from the following file:

- libglom/data_structure/print_layout.h